"""
shieldA.py - Shield class for player
"""

import common
import misc

class ShieldA(misc.Misc):

    # rect = 2d only! width+height will be appended
    def __init__(self, rect):
        rect  += [30,40]
        misc.Misc.__init__(self,-1,rect)
        self.images = common.images['ShieldA']
        self.delay  = 5

        common.misc_neutral.append(self)

    # from object.py
    def move(self):
        self.delay -= 1
        if self.delay < 0:            
            self.kill()

    # from misc.py
    def remove(self):
        common.misc_neutral.remove(self)
